import type { RequestHandler } from "@sveltejs/kit";
import { listResponse, singleResponse } from "$lib/server/responseBodies";
import { createNewListing } from "$lib/server/modifyListing";
import { Game } from "$lib/server/Game";
import { games } from "$lib/server/cache";
import { writeListing } from "$lib/server/mongo";

export const GET: RequestHandler = (): Response => {
	return listResponse(games);
};

export const POST: RequestHandler = async (): Promise<Response> => {
	const newListing = createNewListing(new Game());

	await writeListing("games", newListing);
	games.push(newListing);

	return singleResponse(newListing.id);
};
